MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::ThreadLock Class Referenceabstract

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's. More...

`#include <thread.h>`

Inheritance diagram for sc::ThreadLock:
[legend]
Collaboration diagram for sc::ThreadLock:
[legend]

## Public Member Functions
virtual void | lock ()=0
| Obtain the lock.
virtual void | unlock ()=0
| Release the lock.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's.

ThreadLock objects should be locked and unlocked with ThreadLockHolder objects to provide exception safety.

The documentation for this class was generated from the following file:

- thread.h